import 'dart:io';

import 'package:enx_flutter_plugin/enx_player_widget.dart';
import 'package:flutter/material.dart';

import '../controller/enx_controller.dart';

Widget confirmationScreen(context, EnxController obj) {
  return Container(
    color: Colors.white,
    child: Column(
      children: [
        AppBar(
          automaticallyImplyLeading: false,
          title: const Text('Video Preview',style: TextStyle(color: Colors.black,fontWeight: FontWeight.w500,fontSize: 17),),
          backgroundColor: Colors.white,
        ),
        MediaQuery.of(context).orientation==Orientation.portrait?
        Wrap(
          alignment: WrapAlignment.center,
          children: [
            SizedBox(
          width: MediaQuery.of(context).size.width,
          height: MediaQuery.of(context).size.height / 1.6,
          child:obj.isSelected[1]||obj.audioOnly?Container(color: Colors.grey,child: const Icon(Icons.videocam_off_outlined),) :Platform.isAndroid
              ? EnxPlayerWidget(
            0,
            local: true,
            zMediaOverlay: false,
            height: MediaQuery.of(context).size.height ~/ 1.6,
          )
              : AspectRatio(
              aspectRatio: 3 / 2,
              child: EnxPlayerWidget(
                0,
                local: true,
                height: MediaQuery.of(context).size.height ~/ 1.6,
                width: MediaQuery.of(context).size.width.toInt(),
              )),
        ),
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: ToggleButtons(
              children: <Widget>[
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: obj.isSelected.first?Icon(Icons.mic_off_outlined):Icon(Icons.mic_none_outlined),
                ),
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child:obj.isSelected[1]? Icon(Icons.videocam_off_outlined):Icon(Icons.video_call_outlined),
                ),
              ],
              isSelected: obj.isSelected,
              onPressed: (int index) {
                if(!obj.audioOnly) {
                  obj.isSelect.value[index] = !obj.isSelect.value[index];
                }
                obj.isSelect.refresh();
              },
              // region example 1
              color: Colors.grey,
              selectedColor: Colors.red,



              // endregion
              // region example 2
              borderColor: Colors.grey,
              selectedBorderColor: Colors.red,
              borderRadius: const BorderRadius.all(Radius.circular(10)),
              constraints: BoxConstraints(
                  minHeight: 40, minWidth: MediaQuery.of(context).size.width / 3.5),
              // endregion
            ),
          ),
          Padding(
            padding:  EdgeInsets.only(left:MediaQuery.of(context).size.width/12,right: MediaQuery.of(context).size.width/10),
            child: SwitchListTile( //switch at left side of label
                value: obj.audioOnly,
                controlAffinity: ListTileControlAffinity.trailing,
                onChanged: (bool value){
                  obj.isAudioOnly.value=!obj.isAudioOnly.value;
                  obj.isAudioOnly.refresh();
                },
                title:  Text("Join as a audio call only",style: TextStyle(fontSize: 15,color: Colors.black,fontWeight: FontWeight.w400),)
            ),
          ),
          ElevatedButton(
            child: const Text("Join",style: TextStyle(color: Colors.white,fontWeight: FontWeight.w500,fontSize: 17),),
            style: ElevatedButton.styleFrom(
                backgroundColor: Colors.red,
                elevation: 5,
                fixedSize: Size(MediaQuery.of(context).size.width / 1.1, 50)),
            onPressed: () {

              obj.isConfirmation.value=true;
              obj.configureRoom();


            },
          ),],):
          Row(
           crossAxisAlignment: CrossAxisAlignment.center,
            children:[
            SizedBox(
          width: MediaQuery.of(context).size.width/2,
          height: MediaQuery.of(context).size.height/1.3,
          child:obj.isSelected[1]||obj.audioOnly?Container(color: Colors.grey,child: const Icon(Icons.videocam_off_outlined),) :Platform.isAndroid
              ? EnxPlayerWidget(
            0,
            local: true,
            zMediaOverlay: false,
            height: MediaQuery.of(context).size.height ~/ 1.6,
          )
              : AspectRatio(
              aspectRatio: 3 / 2,
              child: EnxPlayerWidget(
                0,
                local: true,
                height: MediaQuery.of(context).size.height ~/ 1.6,
                width: MediaQuery.of(context).size.width.toInt(),
              )),
        ),
          SizedBox(
          width:MediaQuery.of(context).size.width/2,
            child: Wrap(children: [
              Padding(
              padding: const EdgeInsets.all(8.0),
              child: ToggleButtons(
                children: <Widget>[
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child: obj.isSelected.first?const Icon(Icons.mic_off_outlined):const Icon(Icons.mic_none_outlined),
                  ),
                  Padding(
                    padding: const EdgeInsets.all(8.0),
                    child:obj.isSelected[1]? const Icon(Icons.videocam_off_outlined):const Icon(Icons.video_call_outlined),
                  ),
                ],
                isSelected: obj.isSelected,
                onPressed: (int index) {
                  if(!obj.audioOnly) {
                    obj.isSelect.value[index] = !obj.isSelect.value[index];
                  }
                  obj.isSelect.refresh();
                },
                // region example 1
                color: Colors.grey,
                selectedColor: Colors.red,
                // endregion
                // region example 2
                borderColor: Colors.grey,
                selectedBorderColor: Colors.red,
                borderRadius: const BorderRadius.all(Radius.circular(10)),
                constraints: BoxConstraints(
                    minHeight: 40, minWidth: MediaQuery.of(context).size.width /4.5),
                // endregion
              ),
            ),

              SwitchListTile( //switch at left side of label
                  value: obj.audioOnly,
                  controlAffinity: ListTileControlAffinity.trailing,
                  onChanged: (bool value){
                    obj.isAudioOnly.value=!obj.isAudioOnly.value;
                    obj.isAudioOnly.refresh();
                  },
                  title:  const Text("Join as a audio call only",style: TextStyle(fontSize: 17,color: Colors.black,fontWeight: FontWeight.w400),)
              ),

              Padding(
  padding:  EdgeInsets.all(MediaQuery.of(context).size.height/10),
                child: ElevatedButton(
                  child: const Text("Join",style: TextStyle(color: Colors.white,fontWeight: FontWeight.w500,fontSize: 17),),
                  style: ElevatedButton.styleFrom(
                      backgroundColor: Colors.red,
                      elevation: 5,
                      fixedSize: Size(MediaQuery.of(context).size.width / 2, 50)),
                  onPressed: () {

                    obj.isConfirmation.value=true;
                    obj.configureRoom();


                  },
                ),
              )],),
          )
          ],)

      ],
    ),
  );
}
